MillionSend Docs

List drafts

GET
/inboxes/{inbox_id}/drafts

Unsent drafts (draft and pending_approval), most recently updated first; after pages toward older ones.

Path Parameters

inbox_id*string
Formatuuid

Query Parameters

limit?integer

Page size, 1-100 (default 20)

Range1 <= value <= 100
after?string

Cursor: id of the last item of the current page; returns the next page. Must be an id this list returned; there is no sentinel value.

Formatuuid
before?string

Cursor: id of the first item of the current page; returns the previous page; same rule as after.

Formatuuid

Response Body

Drafts

application/json
  1. response
object*"list"
Value in"list"
has_more*boolean
data*array<>
Example Request
curl -X GET 'https://api.millionsend.com/inboxes/497f6eca-6276-4993-bfeb-53cbbbba6f08/drafts'
Example Response
{  "object": "list",  "has_more": true,  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "type": "standalone",      "to": [        "string"      ],      "cc": [        "string"      ],      "bcc": [        "string"      ],      "subject": "string",      "snippet": "string",      "thread_id": "1de43264-67cb-48af-89f9-e865c375bb84",      "reply_to_email_id": "5e00f13a-4994-422b-8a76-6ae8ac072852",      "updated_at": "string",      "status": "draft",      "approval_reasons": [        "string"      ]    }  ]}